/*******************************************************************************
 err.js: handle JSON parse error

 $Author: dmc $
 $Revision: 3221 $
 $Date: 2023-11-16 18:06:33 -0400 (Thu, 16 Nov 2023) $
 $HeadURL: http://support2.silvermountaintargets.com/svn/smt/smt.common.lib/lib/messagehandlerJSON/err.js $
 $Id: err.js 3221 2023-11-16 22:06:33Z dmc $
*******************************************************************************/

/*eslint camelcase: "error"*/

var EventEmitter    = require( "events" ).EventEmitter;
var util            = require( "util" );
var log             = require( "log4js" ).getLogger( "errHandler" );

function errHandler() {

    this.name = "gsdp-err";

}

util.inherits( errHandler, EventEmitter );


errHandler.prototype.onMessage = function( rawData /* can't be parsed as JSON */ ) {
    console.log("errHandler .onMessage ",rawData)

    this.emit( "error", rawData );
};


module.exports = errHandler;

